#ifndef DANGERGENERATOR_H
#define DANGERGENERATOR_H

#include "Point2D.h"

#include "MemoryManager/debugNew.h"
namespace ground{
	class DangerGenerator
	{
	public:
		virtual ~DangerGenerator(void){};
		virtual Point2D getDangerPosition() = 0;
		virtual float getDangerRadius() = 0;
		virtual float getDangerLevel() = 0;
	};
};// namespace ground

#include "MemoryManager/debugNewOff.h"

#endif
